## pygac 1.0.1

=== requirements.txt ===
numpy>=1.6.1
h5py>=2.0.1
scipy>=0.8.0

=== debian/changelog ===
pygac (1.0.1-1) unstable; urgency=medium

  * Initial version (Closes: #917156)

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 29 Dec 2018 07:30:49 +0000

=== debian/control ===
Source: pygac
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Section: python
Priority: optional
Testsuite: autopkgtest-pkg-python
Build-Depends: debhelper (>= 11),
               dh-python,
               python3-all,
               python3-docutils,
               python3-geotiepoints,
               python3-h5py,
               python3-numpy,
               python3-pyorbital,
               python3-scipy,
               python3-setuptools
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/debian-gis-team/pygac
Vcs-Git: https://salsa.debian.org/debian-gis-team/pygac.git
Homepage: https://github.com/pytroll/pygac

Package: python3-pygac
Architecture: all
Depends: python3-h5py,
         python3-numpy,
         python3-pyorbital,
         ${python3:Depends},
         ${misc:Depends}
Recommends: python3-geotiepoints,
            ${python3:Recommends}
Suggests: ${python3:Suggests}
Description: Python package to read and calibrate NOAA AVHRR GAC data
 pygac reads NOAA AVHRR Global Area Coverage (GAC) data, and performs
 state of the art calibration and navigation.
 .
 It must be noted that pygac expects Level 1b file to contain normal
 GAC header and data records, the format of which are mentioned in the
 official NOAA POD and KLM Data User Guides.
 The user should not prepend any other header (e.g. when downloading
 GAC data from CLASS archive etc) to the L1b file.
 In the first pre-processing step, pygac determines whether the GAC
 data comes from the second (i.e. NOAA-14 and before) or the third
 generation (NOAA-15 and onwards) AVHRR instrument by “pygac-run”.
 This is done by reading the first three bytes of the data set.
 If they contain the any of the following values, [“CMS”, “NSS”, “UKM”,
 “DSS”], then the KLM reader from “gac_klm.py” file is invoked,
 otherwise the POD reader is invoked (gac_pod.py).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export PYBUILD_NAME=pygac


%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	$(RM) -r pygac.egg-info

## pygac 1.1.0

=== debian/changelog ===
pygac (1.1.0-3) unstable; urgency=medium

  * Correctly install the configuration file (Closes: #933536).
  * Set compat to 12.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 01 Aug 2019 05:48:49 +0000

pygac (1.1.0-2) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.4.0, no changes.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 24 Jul 2019 20:24:00 +0200

pygac (1.1.0-1) experimental; urgency=medium

  [ Bas Couwenberg ]
  * Update gbp.conf to use --source-only-changes by default.
  * Replace tab with spaces in control file.

  [ Antonio Valentino ]
  * New upstream release.
  * Update copyright file.
  * debian/patches:
    - drop 0001-Compatibility-with-Python-3.patch: applied upstream
    - drop 0004-Fix-inconsistent-tabs.patch: no longer necessary
    - new 0003-fix-import-mock.patch
    - refresh and renumber remaining patches
  * debian/control:
    - add dependency from scipy
    - add build-dependency from cython3 and python-all-dev
  * New pygac-bin package.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 08 Jul 2019 05:27:06 +0000

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
 Section: python
+Testsuite: autopkgtest-pkg-python
 Priority: optional
-Testsuite: autopkgtest-pkg-python
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
-               python3-all,
+               cython3,
+               python3-all-dev,
                python3-docutils,
                python3-geotiepoints,
                python3-h5py,
@@ -14,17 +15,19 @@
                python3-pyorbital,
                python3-scipy,
                python3-setuptools
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/pygac
 Vcs-Git: https://salsa.debian.org/debian-gis-team/pygac.git
 Homepage: https://github.com/pytroll/pygac
 
 Package: python3-pygac
-Architecture: all
+Architecture: any
 Depends: python3-h5py,
          python3-numpy,
          python3-pyorbital,
+         python3-scipy,
          ${python3:Depends},
+         ${shlibs:Depends},
          ${misc:Depends}
 Recommends: python3-geotiepoints,
             ${python3:Recommends}
@@ -40,8 +43,33 @@
  GAC data from CLASS archive etc) to the L1b file.
  In the first pre-processing step, pygac determines whether the GAC
  data comes from the second (i.e. NOAA-14 and before) or the third
- generation (NOAA-15 and onwards) AVHRR instrument by “pygac-run”.
+ generation (NOAA-15 and onwards) AVHRR instrument by "pygac-run".
  This is done by reading the first three bytes of the data set.
- If they contain the any of the following values, [“CMS”, “NSS”, “UKM”,
- “DSS”], then the KLM reader from “gac_klm.py” file is invoked,
+ If they contain the any of the following values, ["CMS", "NSS", "UKM",
+ "DSS"], then the KLM reader from "gac_klm.py" file is invoked,
  otherwise the POD reader is invoked (gac_pod.py).
+
+Package: pygac-bin
+Architecture: all
+Section: utils
+Depends: python3-pygac,
+         ${python3:Depends},
+         ${misc:Depends}
+Description: Python package to read and calibrate NOAA AVHRR GAC data - scripts
+ pygac reads NOAA AVHRR Global Area Coverage (GAC) data, and performs
+ state of the art calibration and navigation.
+ .
+ It must be noted that pygac expects Level 1b file to contain normal
+ GAC header and data records, the format of which are mentioned in the
+ official NOAA POD and KLM Data User Guides.
+ The user should not prepend any other header (e.g. when downloading
+ GAC data from CLASS archive etc) to the L1b file.
+ In the first pre-processing step, pygac determines whether the GAC
+ data comes from the second (i.e. NOAA-14 and before) or the third
+ generation (NOAA-15 and onwards) AVHRR instrument by "pygac-run".
+ This is done by reading the first three bytes of the data set.
+ If they contain the any of the following values, ["CMS", "NSS", "UKM",
+ "DSS"], then the KLM reader from "gac_klm.py" file is invoked,
+ otherwise the POD reader is invoked (gac_pod.py).
+ .
+ This package provides utilities and executable scripts.

## pygac 1.3.1

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/pygac.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/pygac.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/pygac"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/pygac"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
pygac (1.3.1-1build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 09:38:28 +0100

pygac (1.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.5.0, no changes.
  * Update debian/copyright.
  * debian/patches:
    - drop 0001-Temporary-disable-broken-tests.patch,
      no longer necessary
    - refresh and renumber remaining patches

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 08 Feb 2020 08:22:06 +0000

pygac (1.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright file.
  * Refresh all patches.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 06 Dec 2019 06:58:30 +0000

pygac (1.2.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - drop 0003-fix-import-mock.patch (applied upstream)
    - refresh remaining patches

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 20 Nov 2019 07:09:47 +0000

pygac (1.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.4.1, no changes.
  * debian/control:
    - explicitly set Rules-Requires-Root: no
    - python3-geotiepoints is now a dependency
      (before it was only recommended)
  * debian/patches:
    - refresh all patches
  * Remove obsolete fields Name from debian/upstream/metadata.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 20 Oct 2019 06:50:06 +0000

=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
 Section: python
 Testsuite: autopkgtest-pkg-python
+Rules-Requires-Root: no
 Priority: optional
 Build-Depends: debhelper-compat (= 12),
                dh-python,
@@ -15,22 +16,22 @@
                python3-pyorbital,
                python3-scipy,
                python3-setuptools
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/pygac
 Vcs-Git: https://salsa.debian.org/debian-gis-team/pygac.git
 Homepage: https://github.com/pytroll/pygac
 
 Package: python3-pygac
 Architecture: any
-Depends: python3-h5py,
+Depends: python3-geotiepoints,
+         python3-h5py,
          python3-numpy,
          python3-pyorbital,
          python3-scipy,
          ${python3:Depends},
          ${shlibs:Depends},
          ${misc:Depends}
-Recommends: python3-geotiepoints,
-            ${python3:Recommends}
+Recommends: ${python3:Recommends}
 Suggests: ${python3:Suggests}
 Description: Python package to read and calibrate NOAA AVHRR GAC data
  pygac reads NOAA AVHRR Global Area Coverage (GAC) data, and performs

=== debian/rules ===
--- 
+++ 
@@ -3,8 +3,9 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
-export PYBUILD_NAME=pygac
 
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
+export PYGAC_CONFIG_FILE=${CURDIR}/debian/pygac-test.cfg
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
filenamemangle=s/(?:.*?\/)?(?:rel|v|pygac)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/pygac-$1.$2/ \
https://github.com/pytroll/pygac/releases \
(?:.*?/archive/)?(?:rel|v|pygac)?[\-\_]?(\d[\d\-\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pygac 1.4.0

=== debian/changelog ===
pygac (1.4.0-2build2) hirsute; urgency=medium

  * No-change rebuild to drop python3.8 extensions.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 Dec 2020 18:27:42 +0100

pygac (1.4.0-2build1) hirsute; urgency=medium

  * No-change rebuild to build with python3.9 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 26 Oct 2020 14:12:27 +0100

pygac (1.4.0-2) unstable; urgency=medium

  * debian/patches:
    - new patch 0003-Fix-tests-on-bigendian-platforms.patch

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 18 Aug 2020 17:46:17 +0000

pygac (1.4.0-1) unstable; urgency=medium

  [ Antonio Valentino ]
  * New upstream release.
  * Update debian/copyright file.
  * debian/patches:
    - refresh all patches
    - new 0002-Spelling.patch
    - set Forwarded field in all patches
  * Install manpage for the new pygac-convert-patmosx-coefficients tool.

  [ Bas Couwenberg ]
  * Add Pygac Developers to copyright holders.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 09 Aug 2020 09:40:03 +0000

## pygac 1.5.0

=== debian/changelog ===
pygac (1.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Update d/copyright.
  * debian/control:
    - drop dependency on cythin3 and python3-all-dev
      (replaced by python3-all)
    - add dependency on python3-bottleneck and python3-pytest
    - clean substitution variables.
  * debian/patches:
    - drop 0002-Spelling.patch, applied upstream
    - drop 0003-Fix-tests-on-bigendian-platforms.patch,
      applied upstream
    - refresh and renumber remaining patches
    - new 0002-Do-not-use-setuptools_scm.patch
    - new 0003-Install-the-tests-sub-package.patch.
  * debian/rules:
    - generate the version file (bypass setuptools_scm).
  * add d/tests.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 15 Jan 2022 10:08:21 +0000

pygac (1.4.0-3) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.6.0, no changes.
  * Update watch file for GitHub URL changes.

  [ Antonio Valentino ]
  * New d/python3-pygac.lintian-overrides for TLE files.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 07 Nov 2021 18:11:02 +0000

=== debian/control ===
--- 
+++ 
@@ -7,16 +7,17 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 12),
                dh-python,
-               cython3,
-               python3-all-dev,
+               python3-all,
+               python3-bottleneck,
                python3-docutils,
                python3-geotiepoints,
                python3-h5py,
                python3-numpy,
                python3-pyorbital,
+               python3-pytest,
                python3-scipy,
                python3-setuptools
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/pygac
 Vcs-Git: https://salsa.debian.org/debian-gis-team/pygac.git
 Homepage: https://github.com/pytroll/pygac
@@ -29,10 +30,7 @@
          python3-pyorbital,
          python3-scipy,
          ${python3:Depends},
-         ${shlibs:Depends},
          ${misc:Depends}
-Recommends: ${python3:Recommends}
-Suggests: ${python3:Suggests}
 Description: Python package to read and calibrate NOAA AVHRR GAC data
  pygac reads NOAA AVHRR Global Area Coverage (GAC) data, and performs
  state of the art calibration and navigation.

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,8 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+include /usr/share/dpkg/pkg-info.mk
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 export PYGAC_CONFIG_FILE=${CURDIR}/debian/pygac-test.cfg
@@ -13,3 +15,8 @@
 override_dh_auto_clean:
 	dh_auto_clean
 	$(RM) -r pygac.egg-info
+	$(RM) pygac/version.py
+
+override_dh_auto_configure:
+	echo "version = '$(DEB_VERSION_UPSTREAM)'" > pygac/version.py
+	dh_auto_configure

## pygac 1.6.0

=== debian/changelog ===
pygac (1.6.0-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.6.1, no changes.
  * Use supported python3 versions in autopkgtest.

  [ Antonio Valentino ]
  * New upstream release.
  * debian/control:
    - add pybuild-plugin-pyproject to build-dependencies
    - add build-dependency on python3-setuptools-scm.
  * Update lintian overrides.
  * debian/patches:
    - drop 0002-Do-not-use-setuptools_scm.patch.
  * debian/rules:
    - use the SETUPTOOLS_SCM_PRETEND_VERSION environment variable
      to set the proper package version.
  * Fix paths in d/python3-pygac.install.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 08 Aug 2022 07:06:55 +0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export PYGAC_CONFIG_FILE=${CURDIR}/debian/pygac-test.cfg
export SETUPTOOLS_SCM_PRETEND_VERSION=$(DEB_VERSION_UPSTREAM)

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	$(RM) -r pygac.egg-info
	$(RM) pygac/version.py

## pygac 1.7.1

=== requirements.txt ===
numpy>=1.6.1
h5py>=2.0.1
scipy>=0.8.0
python-geotiepoints>=1.1.8

=== debian/changelog ===
pygac (1.7.1-2) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Enable numpy3 dh helper.
  * Add py3dist override for h5py.

  [ Antonio Valentino ]
  * New 0003-Compatibility-with-numpy-v1.24.patch (Closes: #1027239).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 29 Dec 2022 17:17:24 +0000

pygac (1.7.1-1) unstable; urgency=medium

  * New upstream release.
  * Update d/python3-pygac.install.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 10 Dec 2022 07:28:50 +0000

pygac (1.7.0-1) unstable; urgency=medium

  * New upstream release.
  * Fix d/copyright formatting.
  * debian/patches:
    - refresh and renumber all patches.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 04 Nov 2022 07:05:27 +0000

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 12),
                dh-python,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-bottleneck,
                python3-docutils,
@@ -16,8 +17,9 @@
                python3-pyorbital,
                python3-pytest,
                python3-scipy,
-               python3-setuptools
-Standards-Version: 4.6.0
+               python3-setuptools,
+               python3-setuptools-scm
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/pygac
 Vcs-Git: https://salsa.debian.org/debian-gis-team/pygac.git
 Homepage: https://github.com/pytroll/pygac
@@ -26,7 +28,6 @@
 Architecture: any
 Depends: python3-geotiepoints,
          python3-h5py,
-         python3-numpy,
          python3-pyorbital,
          python3-scipy,
          ${python3:Depends},

=== debian/rules ===
--- 
+++ 
@@ -11,9 +11,12 @@
 export SETUPTOOLS_SCM_PRETEND_VERSION=$(DEB_VERSION_UPSTREAM)
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --with python3,numpy3 --buildsystem=pybuild
 
 override_dh_auto_clean:
 	dh_auto_clean
 	$(RM) -r pygac.egg-info
 	$(RM) pygac/version.py
+
+override_dh_numpy3:
+	dh_numpy3 -p python3-pygac

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
filenamemangle=s/(?:.*?\/)?(?:rel|v|pygac)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/pygac-$1.$2/ \
https://github.com/pytroll/pygac/tags \
(?:.*?/archive/(?:.*?/)?)?(?:rel|v|pygac)?[\-\_]?(\d[\d\-\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pygac 1.7.2

=== requirements.txt ===
numpy>=1.6.1
h5py>=2.0.1
scipy>=0.8.0
python-geotiepoints>=1.1.8
packaging>=14.0

=== debian/changelog ===
pygac (1.7.2-2) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Remove generated files in clean target.
  * Switch to dh-sequence-*.

  [ Antonio Valentino ]
  * debian/control:
    - Move the common package description to source.
    - Use the <!nocheck> marker.
  * Switch to autopkgtest-pkg-pybuild
  * Update d/python3-pygac.lintian-overrides.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 09 Dec 2023 10:13:46 +0000

pygac (1.7.2-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Enable Salsa CI.
  * Bump Standards-Version to 4.6.2, no changes.
  * Add patch to not use deprecated distutils module.
  * Bump debhelper compat to 13.

  [ Antonio Valentino ]
  * New upstream release.
  * debian/patches:
    - drop no-distutils.patch and 0003-Compatibility-with-numpy-v1.24.patch,
      applied upstream.
  * Update d/copyright.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 27 Jun 2023 05:29:06 +0000

=== debian/control ===
Source: pygac
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Section: python
Testsuite: autopkgtest-pkg-pybuild
Rules-Requires-Root: no
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               dh-sequence-numpy3,
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-all,
               python3-bottleneck,
               python3-docutils,
               python3-geotiepoints,
               python3-h5py,
               python3-numpy,
               python3-packaging,
               python3-pyorbital,
               python3-pytest <!nocheck>,
               python3-scipy,
               python3-setuptools,
               python3-setuptools-scm
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/debian-gis-team/pygac
Vcs-Git: https://salsa.debian.org/debian-gis-team/pygac.git
Homepage: https://github.com/pytroll/pygac
Description: Python package to read and calibrate NOAA AVHRR GAC data
 pygac reads NOAA AVHRR Global Area Coverage (GAC) data, and performs
 state of the art calibration and navigation.
 .
 It must be noted that pygac expects Level 1b file to contain normal
 GAC header and data records, the format of which are mentioned in the
 official NOAA POD and KLM Data User Guides.
 The user should not prepend any other header (e.g. when downloading
 GAC data from CLASS archive etc) to the L1b file.
 In the first pre-processing step, pygac determines whether the GAC
 data comes from the second (i.e. NOAA-14 and before) or the third
 generation (NOAA-15 and onwards) AVHRR instrument by "pygac-run".
 This is done by reading the first three bytes of the data set.
 If they contain the any of the following values, ["CMS", "NSS", "UKM",
 "DSS"], then the KLM reader from "gac_klm.py" file is invoked,
 otherwise the POD reader is invoked (gac_pod.py).

Package: python3-pygac
Architecture: any
Depends: python3-geotiepoints,
         python3-h5py,
         python3-packaging,
         python3-pyorbital,
         python3-scipy,
         ${python3:Depends},
         ${misc:Depends}
Description: ${source:Synopsis}
 ${source:Extended-Description}

Package: pygac-bin
Architecture: all
Section: utils
Depends: python3-pygac,
         ${python3:Depends},
         ${misc:Depends}
Description: ${source:Synopsis} -- scripts
 ${source:Extended-Description}
 .
 This package provides utilities and executable scripts.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export PYGAC_CONFIG_FILE=${CURDIR}/debian/pygac-test.cfg
export SETUPTOOLS_SCM_PRETEND_VERSION=$(DEB_VERSION_UPSTREAM)
export PYBUILD_TEST_ARGS=--pyargs pygac

%:
	dh $@ --buildsystem=pybuild

override_dh_numpy3:
	dh_numpy3 -p python3-pygac

## pygac 1.7.3

=== debian/changelog ===
pygac (1.7.3-1) unstable; urgency=medium

  * New upstream release (Closes: #1066765).
  * debian/rules:
    - Remove .pytest_cache after testing.
  * Update dates in d/copyright.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 24 Mar 2024 16:57:04 +0000

## pygac 1.7.4

=== debian/changelog ===
pygac (1.7.4-2build1) plucky; urgency=medium

  * No-change rebuild against python3-numpy2-abi0

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 31 Jan 2025 19:48:12 +0000

pygac (1.7.4-2) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.7.0, no changes.

  [ Antonio Valentino ]
  * debian/patches:
    - New 0002-Drop-six.patch (Closes: #1084324).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 07 Oct 2024 21:08:01 +0000

pygac (1.7.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Update build dependencies (switch to hatchling).
  * debian/patches:
    - Drop 0002-Install-the-tests-sub-package.patch
    - Refresh and renumber remaining patches.
  * Update lintian overrides.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 19 Jul 2024 07:12:11 +0000

=== debian/control ===
--- 
+++ 
@@ -15,14 +15,14 @@
                python3-docutils,
                python3-geotiepoints,
                python3-h5py,
+               python3-hatchling,
+               python3-hatch-vcs,
                python3-numpy,
                python3-packaging,
                python3-pyorbital,
                python3-pytest <!nocheck>,
-               python3-scipy,
-               python3-setuptools,
-               python3-setuptools-scm
-Standards-Version: 4.6.2
+               python3-scipy
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/pygac
 Vcs-Git: https://salsa.debian.org/debian-gis-team/pygac.git
 Homepage: https://github.com/pytroll/pygac
